/*
   Code to receive data from python GUI. Will turn LED's on and off
   by Christopher Leon
*/
#include <SoftwareSerial.h>

SoftwareSerial pyData(0, 1); //sets the RX and TX pins
char serialData; //creates a data type to store incomming characters from the gui

int BlueLED = 7; //Pin for the blue LED
int RedLED = 8; //Pin for the red LED

void setup()
{
  pyData.begin(4800); //set the BAUD rate
  pinMode(BlueLED, OUTPUT); //Setting the pins to outputs
  pinMode(RedLED, OUTPUT);
}


void loop()
{
  if (pyData.available())
  {
    serialData = pyData.read(); //reads the character value coming from the python interface
    pyData.print(serialData);

    //what action to perfrom based on the incoming data
    if (serialData == '0')
    {
      digitalWrite(RedLED, LOW);
    }
    if (serialData == '1')
    {
      digitalWrite(RedLED, HIGH);
    }
    if (serialData == '2')
    {
      digitalWrite(BlueLED, LOW);
    }
    if (serialData == '3')
    {
      digitalWrite(BlueLED, HIGH);
    }
  }
}
